uinsert(3)

NAME
uinsert

SYNOPSIS
#include <allegro.h>

int uinsert(char *s, int index, int c);

DESCRIPTION
Inserts the character c at the specified index within the string, sliding the rest of the data along to make room. Returns the number of bytes by which the trailing part of the string was moved. If the index is negative, it counts backward from the end of the string.

SEE ALSO
uoffset(3), ugetat(3), usetat(3), uremove(3)